const path = require("path");
const yaml = require("write-yaml");
const { Command } = require("@oclif/command");
const { Config } = require("@dotdev/next-config");

class YamlCommand extends Command {
  async run() {
    const config = Config.resolve();

    const yamlPath = path.resolve(process.cwd(), "config.yml");

    const environment = config.getEnvironment();
    const theme = config.getTheme();

    yaml.sync(yamlPath, {
      development: {
        password: environment.credentials.password,
        theme_id: theme.id,
        timeout: "10m",
        store: environment.domains.shopify,
        ignore_files: ["config/settings_data.json"]
      }
    });

    this.log(`Config file written to ${yamlPath}`);
  }
}

YamlCommand.description = "write legacy config.yml file";

module.exports = YamlCommand;
